<?php
/* Busqueda de registros de la tabla ALM_RequerimientoDetalleLote redefinidos por el usuario. */
class ALM_RequerimientoDetalleLoteFN extends BaseALM_RequerimientoDetalleLoteFN
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdRequerimientoDetalleLote ) IS NULL, 1, MAX( IdRequerimientoDetalleLote ) + 1 ) i_Id FROM ALM_RequerimientoDetalleLote;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>